## org.eclipse.emf.ecore
Interface EOperation.Internal.InvocationDelegate.Factory.Registry

All Superinterfaces:
  java.util.Map<java.lang.String,java.lang.Object>

All Known Implementing Classes:
  EOperation.Internal.InvocationDelegate.Factory.Registry.Impl

Enclosing interface:
  EOperation.Internal.InvocationDelegate.Factory

    public static interface EOperation.Internal.InvocationDelegate.Factory.Registry

extends java.util.Map<java.lang.String,java.lang.Object>

A registry of invocation-delegate factories.

Nested Class Summary
`static class` `EOperation.Internal.InvocationDelegate.Factory.Registry.Impl`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary
`static EOperation.Internal.InvocationDelegate.Factory.Registry` `INSTANCE`

Method Summary
`EOperation.Internal.InvocationDelegate.Factory` `getFactory(java.lang.String uri)`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Field Detail

### INSTANCE

    static final EOperation.Internal.InvocationDelegate.Factory.Registry INSTANCE

Method Detail

### getFactory

    EOperation.Internal.InvocationDelegate.Factory getFactory(java.lang.String uri)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.